/* ЛОАДЕР ВЫНЕСЕН В ОТДЕЛЬНЫЙ ФАЙЛ, ТАК КАК ГРУЗИТСЯ INLINE САМЫМ ПЕРВЫМ */
/* TODO проходить grunt! */
body #container
{
    overflow: hidden;

    opacity: 0;
}

.page-loader
{
    position: fixed;
    z-index: 9999999;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    overflow: hidden !important;

    width: 100%;
    height: 100%;
    padding: 0 25px;

    transition: .3s all ease;

    background: #fff; /* ЦВЕТ ПО-УМОЛЧАНИЮ */
}

body.loaded #container
{
    overflow: visible;

    opacity: 1;
}

body.loaded .page-loader
{
    z-index: -1;

    visibility: hidden;

    opacity: 0;
}

.page-loader-body
{
    position: absolute;
    top: 50%;
    right: 0;
    left: 0;

    width: 250px;
    margin: auto;

    transform: translateY(-50%);
}

.page-loader-body-icone
{
    margin-bottom: 15px;
}

.page-loader-body-image
{
    position: relative;

    height: 140px;
    max-height: 140px;
    margin-bottom: 15px;
}

.page-loader-body-image img
{
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;

    max-height: inherit;
    margin: 0 auto;
    max-width: 100%;
}

.page-loader-body-text
{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;
    font-weight: 700;
    line-height: 1.2;

    padding: 0 10%;

    text-align: center;

    color: #000; /* ПО-УМОЛЧАНИЮ */
}

.cssload-loader
{
    position: relative;

    display: block;

    width: 29px;
    height: 29px;
    margin: 0 auto;

    animation: cssload-loader 2.3s infinite ease;

    border: 4px solid #ff0000; /* ЦВЕТ ПО-УМОЛЧАНИЮ */
}

.cssload-loader-inner
{
    display: inline-block;

    width: 100%;

    animation: cssload-loader-inner 2.3s infinite ease-in;
    vertical-align: top;

    background-color: #ff0000; /* ЦВЕТ ПО-УМОЛЧАНИЮ */
}

@keyframes cssload-loader
{
    0%
    {
        transform: rotate(0deg);
    }

    25%
    {
        transform: rotate(180deg);
    }

    50%
    {
        transform: rotate(180deg);
    }

    75%
    {
        transform: rotate(360deg);
    }

    100%
    {
        transform: rotate(360deg);
    }
}

@keyframes cssload-loader-inner
{
    0%
    {
        height: 0;
    }

    25%
    {
        height: 0;
    }

    50%
    {
        height: 100%;
    }

    75%
    {
        height: 100%;
    }

    100%
    {
        height: 0;
    }
}
